<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="ComentariosService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xs:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:import namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models" />
      <xs:element name="comentariosByBlog">
        <xs:complexType>
          <xs:sequence>
            <xs:element minOccurs="0" name="id" type="xs:int" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="comentariosByBlogResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models" minOccurs="0" name="comentariosByBlogResult" nillable="true" type="q1:ArrayOfComentario" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="eliminarComentario">
        <xs:complexType>
          <xs:sequence>
            <xs:element minOccurs="0" name="id" type="xs:int" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="eliminarComentarioResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element minOccurs="0" name="eliminarComentarioResult" type="xs:boolean" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="crear">
        <xs:complexType>
          <xs:sequence>
            <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models" minOccurs="0" name="comentario" nillable="true" type="q2:Comentario" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="crearResponse">
        <xs:complexType>
          <xs:sequence />
        </xs:complexType>
      </xs:element>
    </xs:schema>
    <xs:schema xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/" attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="anyType" nillable="true" type="xs:anyType" />
      <xs:element name="anyURI" nillable="true" type="xs:anyURI" />
      <xs:element name="base64Binary" nillable="true" type="xs:base64Binary" />
      <xs:element name="boolean" nillable="true" type="xs:boolean" />
      <xs:element name="byte" nillable="true" type="xs:byte" />
      <xs:element name="dateTime" nillable="true" type="xs:dateTime" />
      <xs:element name="decimal" nillable="true" type="xs:decimal" />
      <xs:element name="double" nillable="true" type="xs:double" />
      <xs:element name="float" nillable="true" type="xs:float" />
      <xs:element name="int" nillable="true" type="xs:int" />
      <xs:element name="long" nillable="true" type="xs:long" />
      <xs:element name="QName" nillable="true" type="xs:QName" />
      <xs:element name="short" nillable="true" type="xs:short" />
      <xs:element name="string" nillable="true" type="xs:string" />
      <xs:element name="unsignedByte" nillable="true" type="xs:unsignedByte" />
      <xs:element name="unsignedInt" nillable="true" type="xs:unsignedInt" />
      <xs:element name="unsignedLong" nillable="true" type="xs:unsignedLong" />
      <xs:element name="unsignedShort" nillable="true" type="xs:unsignedShort" />
      <xs:element name="char" nillable="true" type="tns:char" />
      <xs:simpleType name="char">
        <xs:restriction base="xs:int" />
      </xs:simpleType>
      <xs:element name="duration" nillable="true" type="tns:duration" />
      <xs:simpleType name="duration">
        <xs:restriction base="xs:duration">
          <xs:pattern value="\-?P(\d*D)?(T(\d*H)?(\d*M)?(\d*(\.\d*)?S)?)?" />
          <xs:minInclusive value="-P10675199DT2H48M5.4775808S" />
          <xs:maxInclusive value="P10675199DT2H48M5.4775807S" />
        </xs:restriction>
      </xs:simpleType>
      <xs:element name="guid" nillable="true" type="tns:guid" />
      <xs:simpleType name="guid">
        <xs:restriction base="xs:string">
          <xs:pattern value="[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12}" />
        </xs:restriction>
      </xs:simpleType>
      <xs:attribute name="FactoryType" type="xs:QName" />
      <xs:attribute name="Id" type="xs:ID" />
      <xs:attribute name="Ref" type="xs:IDREF" />
    </xs:schema>
    <xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:complexType name="ArrayOfComentario">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="Comentario" nillable="true" type="tns:Comentario" />
        </xs:sequence>
      </xs:complexType>
      <xs:element name="ArrayOfComentario" nillable="true" type="tns:ArrayOfComentario" />
      <xs:complexType name="Comentario">
        <xs:sequence>
          <xs:element minOccurs="0" name="pContenido" nillable="true" type="xs:string" />
          <xs:element minOccurs="0" name="pEstado" nillable="true" type="xs:string" />
          <xs:element minOccurs="0" name="pFechaCreacion" type="xs:dateTime" />
          <xs:element minOccurs="0" name="pId" type="xs:int" />
          <xs:element minOccurs="0" name="pIdAutor" type="xs:int" />
          <xs:element minOccurs="0" name="pIdBlog" type="xs:int" />
          <xs:element minOccurs="0" name="pUsername" nillable="true" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:element name="Comentario" nillable="true" type="tns:Comentario" />
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="IComentariosService_comentariosByBlog_InputMessage">
    <wsdl:part name="parameters" element="tns:comentariosByBlog" />
  </wsdl:message>
  <wsdl:message name="IComentariosService_comentariosByBlog_OutputMessage">
    <wsdl:part name="parameters" element="tns:comentariosByBlogResponse" />
  </wsdl:message>
  <wsdl:message name="IComentariosService_eliminarComentario_InputMessage">
    <wsdl:part name="parameters" element="tns:eliminarComentario" />
  </wsdl:message>
  <wsdl:message name="IComentariosService_eliminarComentario_OutputMessage">
    <wsdl:part name="parameters" element="tns:eliminarComentarioResponse" />
  </wsdl:message>
  <wsdl:message name="IComentariosService_crear_InputMessage">
    <wsdl:part name="parameters" element="tns:crear" />
  </wsdl:message>
  <wsdl:message name="IComentariosService_crear_OutputMessage">
    <wsdl:part name="parameters" element="tns:crearResponse" />
  </wsdl:message>
  <wsdl:portType name="IComentariosService">
    <wsdl:operation name="comentariosByBlog">
      <wsdl:input wsaw:Action="http://tempuri.org/IComentariosService/comentariosByBlog" message="tns:IComentariosService_comentariosByBlog_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IComentariosService/comentariosByBlogResponse" message="tns:IComentariosService_comentariosByBlog_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="eliminarComentario">
      <wsdl:input wsaw:Action="http://tempuri.org/IComentariosService/eliminarComentario" message="tns:IComentariosService_eliminarComentario_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IComentariosService/eliminarComentarioResponse" message="tns:IComentariosService_eliminarComentario_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="crear">
      <wsdl:input wsaw:Action="http://tempuri.org/IComentariosService/crear" message="tns:IComentariosService_crear_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IComentariosService/crearResponse" message="tns:IComentariosService_crear_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="comentario" type="tns:IComentariosService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="comentariosByBlog">
      <soap:operation soapAction="http://tempuri.org/IComentariosService/comentariosByBlog" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="eliminarComentario">
      <soap:operation soapAction="http://tempuri.org/IComentariosService/eliminarComentario" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="crear">
      <soap:operation soapAction="http://tempuri.org/IComentariosService/crear" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ComentariosService">
    <wsdl:port name="comentario" binding="tns:comentario">
      <soap:address location="http://localhost:52997/Servicios/ComentariosService.svc/comentario" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>